from common import inputTypeCheck

class recipe:
  def __init__(self, ingredients, standardPortions):
    self.ingredients = ingredients
    self.standardPortions = standardPortions

  def getIngredients(self, portions):
    ratio = portions / self.standardPortions
    for ingredient in self.ingredients:
      print(f'{ingredient}: {self.ingredients[ingredient]*ratio}')

cookies = recipe(
  ingredients={
    'sukker(g)': 400,
    'smør(g)': 320,
    'sjokolade(g)': 500,
    'egg': 2,
    'hvetemel(g)': 460
  },
  standardPortions=48,
)

cookieNumber = inputTypeCheck(
  message = 'Hvor mange cookies ønsker du å bake? ',
  type = float,
  errorMessage = 'Beklager, det du skrev inn er ikke et tall. Prøv igjen\n'
)

print('Antall cookies:', cookieNumber)
cookies.getIngredients(cookieNumber)