from common import inputTypeCheck

AVOGADROS_CONSTANT = 6.022e23

substance = input('Si et stoff du er i besittelse av: ')
weight = inputTypeCheck(
  message='Hva er molvekt i gram for vann? ',
  type=float,
  errorMessage='Beklager, det du skrev inn er ikke et tall. Prøv igjen\n'
)
amount = inputTypeCheck(
  message='Hvor mange gram vann har du? ',
  type=float,
  errorMessage='Beklager, det du skrev inn er ikke et tall. Prøv igjen\n'
)

numberOfMolecules = (amount * AVOGADROS_CONSTANT / weight)
print(f'Du har {format(numberOfMolecules, ".1e")} molekyler {substance.lower()}')