from math import sqrt
from common import inputTypeCheck

class Tetraeder:
  def __init__(self, length):
    self.length = length
    self.a = 3/sqrt(6) * length

  getArea = lambda self: sqrt(3) * (self.a**2)
  getVolume = lambda self: sqrt(2) * (self.a**3) / 12

figure1 = Tetraeder(3)
print(f'Et tetraeder med høyde {figure1.length} har areal {figure1.getArea()}')
print(f'Et tetraeder med høyde {figure1.length} har volum {figure1.getVolume()}')
print()

figure2 = Tetraeder(
  inputTypeCheck(
    message='Skriv inn en høyde: ',
    type=float,
    errorMessage='Beklager, det du skrev inn er ikke et tall. Prøv igjen\n'
  )
)

print(f'Et tetraeder med høyde {figure2.length} har volum {figure2.getVolume()} og areal {figure2.getArea()}')