try:
  from common.inputChecking.typeCheck import inputTypeCheck
except ModuleNotFoundError:
  print('Sjekk README.md for hvilke flagg python trenger')
  exit(1)

INFO = f"""INFO  
Dette programmet besvarer om din utleie av egen bolig er skattepliktig. 
Først trenger vi å vite hvor stor del av boligen du har leid ut.
Angi dette i prosent, 100 betyr hele boligen, 50 betyr halve,
20 en mindre del av boligen som f.eks. en hybel. """

HLINE = '----------------------------------------------------------------------'

def mainBranch():
  print('DATAINNHENTING:')

  percentRented = inputTypeCheck('Oppgi hvor mye av boligen som ble utleid: ', float)
  rentIncome = inputTypeCheck('Skriv inn hva du har hatt i leieinntekt: ', float)

  hasTax = percentRented > 50 and rentIncome >= 20000
  hasTaxString = 'Inntekten er skattepliktig' if hasTax else 'Inntekten er ikke skattepliktig'

  print(HLINE)
  print('SKATTEBEREGNING')
  print (hasTaxString)
  if hasTax:
    print(f'Skattepliktig beløp er {rentIncome}')


if __name__ == "__main__":
  print(INFO)
  print(HLINE)
  mainBranch()