from random import randint

def random_matrise(x, y):
  return [[randint(0, 9) for _ in range(x)] for _ in range(y)]

def print_matrise(matrix, title):
  print(f'{title}=[')
  for row in matrix:
    print('\t', row)
  print(']')

def matrise_addisjon(A, B):
  try:
    assert len(A) == len(B) and len(A[0]) == len(B[0])
    newMatrix = [[A[x][y] + B[x][y] for y in range(len(A[0]))] for x in range(len(A))]
    return newMatrix
  except:
    print('Matrisene er ikke av samme dimensjon')

def main():
    A = random_matrise(4,3)
    print_matrise(A, 'A')
    B = random_matrise(3,4)
    print_matrise(B, 'B')
    C = random_matrise(3,4)
    print_matrise(C, 'C')
    D = matrise_addisjon(A,B)
    E = matrise_addisjon(B,C)
    print_matrise(E, 'B+C' )

if __name__ == "__main__":
    main()