import numpy as np
import matplotlib.pyplot as plt

def areOrthagonal(list1,list2):
  vec1 = np.array(list1)
  vec2 = np.array(list2)
  return np.dot(vec1,vec2) == 0

def createColumnArray():
  return np.arange(1,16).reshape(3,5).transpose()


if __name__ == "__main__":
  print(areOrthagonal([0,1],[1,0]))
  print(areOrthagonal([1,0],[1,0]))
  print()
  print(createColumnArray())